### Method

# Gtk RecentInfo get_applications

#### Declaration [src]

    char**
    gtk_recent_info_get_applications (
      GtkRecentInfo* info,
      gsize* length
    )

#### Description [src]

Retrieves the list of applications that have registered this resource.

#### Parameters

`length` | `gsize*`
| Return location for the length of the returned list.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | An array of `utf8`
| A newly allocated `NULL`-terminated array of strings. Use g_strfreev() to free it.
| The array is `NULL`-terminated.
| The length of the array is in the `length` argument.
| The caller of the function takes ownership of the data, and is responsible for freeing it.